Bug 230806 - Review Request: tasks - To-do list
Review Request: tasks - To-do list
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 232797 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 18:33 EST by Dan Young
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-20 14:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Young 2007-03-02 18:33:24 EST
Spec URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks.spec
SRPM URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks-0.2-1.fc6.src.rpm
Description: 
Tasks is a simple to do list application that uses libecal, part of Embedded
Evolution Data Server.

Upstream URL: http://projects.o-hand.com/tasks

This is my first package. I am seeking a sponsor.
Comment 1 Michał Bentkowski 2007-03-03 13:08:01 EST
** We no longer add X-Fedora Category in desktop files. Also, you ought to 
remove Application category:
fedora-tasks.desktop: warning: The 'Application' category is not defined by the 
desktop entry specification.  Please use one of "AudioVideo", "Audio", "Video", 
"Development", "Education", "Game", "Graphics", "Network", "Office", 
"Settings", "System", "Utility" instead

If you can't see this error on your own system, install the newest dekstop-file-
validate version from rawhide.

** Why do you use -n %{name}-%{version} parameter to setup? This is RPM default 
setting.

Comment 2 Dan Young 2007-03-06 14:03:08 EST
Spec URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks.spec
SRPM URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks-0.3-1.fc6.src.rpm

I made the suggested changes:
* Removed X-Fedora category
* Fixed .desktop file (upstream is aware of this now)
* Changed setup macro to just "%setup -q"

There was also a new upstream release in the interim.
Comment 3 Michał Bentkowski 2007-03-07 12:42:31 EST
** You don't need to patch desktop file against such simple thing as removing a 
category. Have a look at examples of usage of desktop-file-install at
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

** Why do you do update-desktop-database?

** Read carefully http://fedoraproject.org/wiki/Packaging/Guidelines#locales to 
know how to you %find_lang properly. In your spec file %find_lang is useless 
and you don't take advantage of its output.
Comment 4 Dan Young 2007-03-07 16:12:22 EST
Spec URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks.spec
SRPM URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks-0.3-2.fc6.src.rpm

I dropped the .desktop patch and am just using --remove-category for the GTK,
Application, and ProjectManagement categories. As I said before, upstream is
aware of this now, so expect it will be fixed in their .desktop file in the next
release.

Dropped the spurious update-desktop-database. Think that snuck in on a cut-n-paste.

Fixed up the %find_lang usage. Thanks for the pointers.
Comment 5 Dan Young 2007-03-07 16:46:43 EST
Spec URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks.spec
SRPM URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks-0.3-3.fc6.src.rpm

Went and read the Desktop Menu spec from fd.o and realized I only need to drop
the "Application" category.
Comment 7 Dan Young 2007-03-20 17:26:18 EDT
Spec URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks.spec
SRPM URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks-0.4-2.fc6.src.rpm

Fixed ownership of %{_datadir}/tasks
Comment 8 Mamoru TASAKA 2007-04-09 11:01:59 EDT
Well, for 0.4-2:

* Timestamps
  - Please keep timestamps on files which are not
    created or modified during build stage as much as
    possible (for this package, png/svg/xml files).

    The following method works for this package.
---------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
---------------------------------------------------

* Duplicate entry
  - mockbuild says:
---------------------------------------------------
+ /bin/mkdir -p /var/tmp/tasks-0.4-2.fc7-root-mockbuild/usr/share/doc/tasks-0.4
+ cp -pr AUTHORS ChangeLog COPYING NEWS README
/var/tmp/tasks-0.4-2.fc7-root-mockbuild/usr/share/doc/tasks-0.4
+ exit 0
warning: File listed twice: /usr/share/tasks/tasks-ui.xml
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
---------------------------------------------------
    Note: the entry 
---------------------------------------------------
%files
%defattr(-,root,root,-)
foo/
---------------------------------------------------
    (where foo is a directory) means the directory foo/ itself and
    all the files/directories/etc under foo/, while
---------------------------------------------------
%files
%defattr(-,root,root,-)
%dir foo/
---------------------------------------------------
    means the directory foo/ only.

Well,
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 9 Dan Young 2007-04-11 15:53:36 EDT
Spec URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks.spec
SRPM URL: http://files.mesd.k12.or.us/~dyoung/tasks/tasks-0.4-3.fc6.src.rpm

- Preserve timestamps on install
- Fix /usr/share/tasks/tasks-ui.xml files listing twice
- Patch Help -> About -> License to fix name

Thanks for the feedback. I'll continue to polish this one, am looking at some
other candidates to package, and will try to do some pre-review on other packages.

The license typo I patched out has been fixed in upstream SVN, but not yet
released. I'll drop the patch when that happens.
Comment 10 Dan Young 2007-04-13 18:56:23 EDT
Pre-review notes on remind:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235802

Proposed patch to stop stripping binaries, generate non-empty debuginfo.
Comment 11 Mamoru TASAKA 2007-04-13 19:49:47 EDT
Well,

* tasks-0.4-3 is okay
* I have not checked remind (bug 235802) in detail,
  however your patch is actually needed.

-------------------------------------------------
  This package (tasks) is APPROVED by me.
-------------------------------------------------

I will sponsor you. Please follow according to
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 12 Dan Young 2007-04-14 00:43:20 EDT
Thank you for the review and sponsorship.

I've applied for my account and will notify you when I'm in the cvsextras and
fedorabugs groups.
Comment 13 Dan Young 2007-04-16 21:35:58 EDT
New Package CVS Request
=======================
Package Name: tasks
Short Description: To-do list
Owners: dyoung@mesd.k12.or.us
Branches: FC-5 FC-6
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Comment 14 Mamoru TASAKA 2007-04-16 23:07:19 EDT
(Removing NEEDSPONSOR. I am sponsoring)
Comment 15 Dan Young 2007-04-20 14:00:49 EDT
Sent 0.4-4 to builders. Built successfully; they are now in needsign state.
Closing with NEXTRELEASE.
Comment 16 Mamoru TASAKA 2007-04-20 14:05:28 EDT
Seems good.
If you have something again, feel free to let me know.
Comment 17 Mamoru TASAKA 2007-04-26 03:05:37 EDT
*** Bug 232797 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.